POST /transaction/payout-batch
Functionality
- Adds the payout amount: Increases each user’s balance based on their individual payout.
- Handles batch payout: Efficiently processes all eligible player payouts in one call.
Headers
string
required
A unique identifier associated with operator calling API.
string
required
A SHA256 HMAC signature generated using the request body and timestamp.
Format: HMAC_SHA256(JSON.stringify(data) + ’|’ + timestamp), signed using the
provided secret key.
string
required
An Unix timestamp (milliseconds) when the request was sent. Ensure the same
value is used in signature generation.
string
required
Must be set to
application/jsonRequest Body
array
required
Show properties
Show properties
string
required
Unique identifier for the transaction.
string
required
Unique identifier of the transaction that this transaction is referencing, which is the transactionId of the bet.
string
required
Unique identifier for the game session.
string
required
Unique identifier for the game round.
string
required
Unique identifier for the player.
string
required
Unique identifier for the game.
string
required
Player’s current session currency code.
number
required
The payout amount won by the player.
To maintain precision and avoid floating-point errors, the bet field is processed as an integer value by multiplying the actual amount by
100000.For example, a bet of 12.34567 will be represented as 1234567 in the API.number
required
Index of the transaction.
Response
string
required
Code indicates status of the request weather it is succeed or failed. We have
listed error codes here
Data Array
Show properties
Show properties
string
required
Status of the individual transaction.
string
required
Unique identifier for the transaction.
string
required
Unique identifier of the transaction that this transaction is referencing, which is the transactionId of the bet.
string
required
Unique identifier for the session.
string
required
Unique identifier for the game round.
string
required
Unique identifier for the player.
string
required
Player’s current session currency code.
number
required
Player’s balance after the transaction.
To maintain precision and avoid floating-point errors, the balance field is processed as an integer value by multiplying the actual amount by
100000.For example, a balance of 12.34567 will be represented as 1234567 in the API.number
required
Index of the transaction.
curl --request POST \
--url 'https://partner-platform-url/transaction/payout-batch' \
--header 'content-type: application/json' \
--header 'x-api-key: <x-api-key>' \
--header 'x-signature: <x-signature>' \
--header 'x-timestamp: <x-timestamp>' \
--data '{
"transactions": [
{
"transactionId": "dd96bda3-9990-4aed-9679-f451a4b82ac4",
"refTransactionId": "05fc77cd8-4dd8-48a5-b6b4-1360d0b0f123",
"sessionId": "f1dfc865-584c-4cba-a175-06172b2a41141731504451691",
"roundId": "817e22b4-b030-468b-964e-62b9a7343050-1753428290674",
"playerId": "18865671",
"gameId": "G1720761376617",
"currency": "EUR",
"amount": 250000000,
"index": 0
}
]
}'
const axios = require("axios");
const url = "https://partner-platform-url/transaction/payout-batch";
const headers = {
"content-type": "application/json",
"x-api-key": "<x-api-key>",
"x-signature": "<x-signature>",
"x-timestamp": "<x-timestamp>",
};
const data = {
transactions: [
{
transactionId: "dd96bda3-9990-4aed-9679-f451a4b82ac4",
refTransactionId: "05fc77cd8-4dd8-48a5-b6b4-1360d0b0f123",
sessionId: "f1dfc865-584c-4cba-a175-06172b2a41141731504451691",
roundId: "817e22b4-b030-468b-964e-62b9a7343050-1753428290674",
playerId: "18865671",
gameId: "G1720761376617",
currency: "EUR",
amount: 250000000,
index: 0,
},
],
};
axios
.post(url, data, { headers })
.then((response) => console.log(response.data))
.catch((error) => console.error(error));
import requests
url = "https://partner-platform-url/transaction/payout-batch"
headers = {
"content-type": "<content-type>",
"x-api-key": "<x-api-key>",
"x-signature": "<x-signature>",
"x-timestamp": "<x-timestamp>"
}
data = {
"transactions": [
{
"transactionId": "dd96bda3-9990-4aed-9679-f451a4b82ac4",
"refTransactionId": "05fc77cd8-4dd8-48a5-b6b4-1360d0b0f123",
"sessionId": "f1dfc865-584c-4cba-a175-06172b2a41141731504451691",
"roundId": "817e22b4-b030-468b-964e-62b9a7343050-1753428290674",
"playerId": "18865671",
"gameId": "G1720761376617",
"currency": "EUR",
"amount": 250000000,
"index": 0
}
]
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://partner-platform-url/transaction/payout-batch",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_POST => true,
CURLOPT_HTTPHEADER => [
"content-type: <content-type>",
"x-api-key: <x-api-key>",
"x-signature: <x-signature>",
"x-timestamp: <x-timestamp>"
],
CURLOPT_POSTFIELDS => json_encode([
"transactions" => [
[
"transactionId" => "dd96bda3-9990-4aed-9679-f451a4b82ac4",
"refTransactionId" => "05fc77cd8-4dd8-48a5-b6b4-1360d0b0f123",
"sessionId" => "f1dfc865-584c-4cba-a175-06172b2a41141731504451691",
"roundId" => "817e22b4-b030-468b-964e-62b9a7343050-1753428290674",
"playerId" => "18865671",
"gameId" => "G1720761376617",
"currency" => "EUR",
"amount" => 250000000,
"index" => 0
]
]
]),
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
?>
{
"status": "RS_OK",
"data": [
{
"status": "RS_OK",
"transactionId": "dd96bda3-9990-4aed-9679-f451a4b82ac4",
"refTransactionId": "05fc77cd8-4dd8-48a5-b6b4-1360d0b0f123",
"sessionId": "d404f1da-26a6-44ff-8b0f-559915152be11742537289208",
"roundId": "123xaf1a-s7ax-lles-9aws-5hjtjshosqq2be117425",
"playerId": "18865671",
"currency": "EUR",
"balance": 300000000,
"index": 0
}
]
}
{
"status": "RS_ERROR",
"message": "Oops! Something went wrong. Please refresh the page or try again in a moment"
}
